Skip to main content
Node.js
import { PeriskopeApi } from '@periskope/periskope-client';

const client = new PeriskopeApi({
  authToken: 'YOUR_API_KEY',
  phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});

async function getMessageStatus() {
  const status = await client.message.getMesssageStatus({
    unique_id: '3EB0A0A8F90A01259C81A3'
  });

  console.log(status);
}

getMessageStatus();
{
  "queue_id": "5df4cb6d-9f2b-46b6-936e-8e6f4b1a5400",
  "unique_id": "3EB0A0A8F90A01259C81A3",
  "message_id": "true_8824248940@c.us_3EB0A0A8F90A01259C81A3",
  "chat_id": "8824248940@c.us",
  "performed_by": "api",
  "status": "read",
  "status_description": "Read by recipient.",
  "ack": 4,
  "message": {
    "body": "test 93",
    "type": "chat",
    "quoted_message_id": "3EB0885..."
  },
  "timeline": {
    "queued_at": "2026-04-01T14:23:21.279Z",
    "sent_at": "2026-04-01T14:23:24.111Z"
  },
  "attempts": 1,
  "delivered_count": 1,
  "read_count": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-phone
string

Please provide the number of the phone you want to call with this API in the header. The number must be in country code + number format without any characters or spaces, e.g. 919876543210; Alternatively, provide the phone_id (phone-xxxxxxxxxxxx) in the header

Example:

"918527184400"

Path Parameters

unique_id
string
required

A unique identifier returned by /message/send or /message/broadcast APIs at send time

Example:

"3EB0A0A8F90A01259C81A3"

Response

200 - application/json

200 OK

The response is a JSON object with the current delivery status of the message

queue_id
string

A unique identifier for your message queue

Example:

"5df4cb6d-9f2b-46b6-936e-8e6f4b1a5400"

unique_id
string

Provisional message identifier, useful for tracking via /message/{unique_id}/status

Example:

"3EB0A0A8F90A01259C81A3"

message_id
string

A unique identifier for the message, containing information about the chat, sender, and message details.

Example:

"true_8824248940@c.us_3EB0A0A8F90A01259C81A3"

chat_id
string

The unique identifier of the WhatsApp chat (format: {phone_number}@c.us for individual chats or {group_id}@g.us for groups).

Example:

"8824248940@c.us"

performed_by
string

Identifier of who initiated the message (e.g. api, user)

Example:

"api"

status
string

Current delivery status of the message

Example:

"read"

status_description
string

The description of the current status of the message

Example:

"Read by recipient."

ack
integer

The WhatsApp acknowledgement status of the message

Example:

4

message
object

The message content that was sent

timeline
object

Timestamps for key events in the message lifecycle

attempts
integer

Number of attempts made to send the message

Example:

1

delivered_count
integer

Number of recipients who received the message

Example:

1

read_count
integer

Number of recipients who read the message

Example:

1